### Class

# Phosh Thumbnail

#### Description [src]

    class Phosh.Thumbnail : GObject.Object
    {
      /* No available fields */
    }

An abstract class representing a thumbnail image.

#### Ancestors

- GObject

#### Descendants

- PhoshToplevelThumbnail

#### Instance methods

###### phosh_thumbnail_get_image

No description available.

###### phosh_thumbnail_get_size

No description available.

###### phosh_thumbnail_is_ready

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.Thumbnail:ready

Whether the image data is ready to be used.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshThumbnailClass {
      GObjectClass parent_class;
      void* (* get_image) (
        PhoshThumbnail* self
      );
      void (* get_size) (
        PhoshThumbnail* self,
        guint* width,
        guint* height,
        guint* stride
      );
      gboolean (* is_ready) (
        PhoshThumbnail* self
      );
      void (* set_ready) (
        PhoshThumbnail* self,
        gboolean ready
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  The parent class.

`get_image: void* (* get_image) ( PhoshThumbnail* self )`

  Get the current image data.

`get_size: void (* get_size) ( PhoshThumbnail* self, guint* width, guint* height, guint* stride )`

  Get current image size and stride.

`is_ready: gboolean (* is_ready) ( PhoshThumbnail* self )`

  Whether the image is ready to be fetched.

`set_ready: void (* set_ready) ( PhoshThumbnail* self, gboolean ready )`

  Set image as ready. Must chain up.

#### Virtual methods

###### Phosh.ThumbnailClass.get_image

Get the current image data.

###### Phosh.ThumbnailClass.get_size

Get current image size and stride.

###### Phosh.ThumbnailClass.is_ready

Whether the image is ready to be fetched.

###### Phosh.ThumbnailClass.set_ready

Set image as ready. Must chain up.